# SmartGeofencesRefreshFailureReason

Represents the failure reason of a smart geofences refresh call.

| **NETWORK\_USAGE\_RESTRICTED** | Failed to refresh the monitored geofences due to network usage being restricted. In most cases, this means the device is connected to a mobile data network, but you have disabled mobile data network usage using the [setIsAllowedToUseMobileData(boolean)](/important-topics/sdk/api-reference/android/sentiance.md#setisallowedtousemobiledata) API. |
| ------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **NETWORK\_ERROR**             | A network error was encountered when attempting to refresh the monitored geofences.                                                                                                                                                                                                                                                                      |
| **SERVER\_ERROR**              | A server error was encountered when attempting to refresh the monitored geofences.                                                                                                                                                                                                                                                                       |
| **TOO\_MANY\_FREQUENT\_CALLS** | The application tried to refresh the list of monitored geofences more than once within the last 30 seconds.                                                                                                                                                                                                                                              |
| **FEATURE\_NOT\_ENABLED**      | The feature is not enabled for your app.                                                                                                                                                                                                                                                                                                                 |
| **UNEXPECTED\_ERROR**          | An unexpected error occurred. Check the corresponding [error details](/important-topics/sdk/api-reference/android/smart-geofences/smartgeofencesrefresherror.md#getdetails) for more info.                                                                                                                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/smart-geofences/smartgeofencesrefresherror/smartgeofencesrefreshfailurereason.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
